varying vec2 texcoord;
uniform sampler2D tex0;

void main(void)
{

	float dx = texcoord.x - 0.5;
	float dy = texcoord.y - 0.5;

	float d = sqrt(dx*dx + dy*dy);
	float dim = 1.0 - pow(d, 1.5);

	float s = (0.99 + 0.01 * sin(texcoord.y * 1000.0));

	vec4 texel = texture2D(tex0, texcoord);	

	gl_FragColor = texel * dim * s;//vec4(1.0, 0.0, texcoord.y, 1.0); 
}